//
//  BarViewController.m
//  bartest
//
//  Created by Oliver on 21.12.10.
//  Copyright 2010 Drobnik.com. All rights reserved.
//

#import "BarViewController.h"


@implementation BarViewController


 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
		self.hidesBottomBarWhenPushed = YES;
    }
    return self;
}



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	
	UIBarButtonItem *item = [[[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemAdd target:self action:@selector(add:)] autorelease];
	[self setToolbarItems:[NSArray arrayWithObject:item]];
	
	UITapGestureRecognizer *gesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(tapped:)];
	[self.view addGestureRecognizer:gesture];
	[gesture release];
}

- (void)add:(id)sender
{
	NSLog(@"Button");
}

- (void)tapped:(UITapGestureRecognizer *)gesture
{
	BOOL barsHidden = self.navigationController.navigationBar.hidden;
	
	[self.navigationController setToolbarHidden:!barsHidden animated:YES];
	[self.navigationController setNavigationBarHidden:!barsHidden animated:YES];
}

- (void)viewWillAppear:(BOOL)animated
{
	[super viewWillAppear:animated];
	
	[self setHidesBottomBarWhenPushed:YES]; // hides the tab bar

	[self.navigationController setToolbarHidden:NO animated:YES];
	self.navigationController.toolbar.barStyle = UIBarStyleBlackTranslucent;
	self.navigationController.navigationBar.barStyle = UIBarStyleBlackTranslucent;
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
	
	[self.navigationController setToolbarHidden:YES animated:YES];
	self.navigationController.toolbar.barStyle = UIBarStyleBlack;
	self.navigationController.navigationBar.barStyle = UIBarStyleBlack;
}

- (void)awakeFromNib
{
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
